List customers
Customers
List customers
List all customers.
GET
List customers
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Query Parameters
Sort column. Default: creation time. Use customProperties. to sort by a custom property value.
Filter by legal name
Filter by email
Filter by alias
Filter by label
Include archived customers
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Pagination cursor.
Pagination cursor.
Sort order. Default: DESC.
Available options:
ASC, DESC Response
OK
Customers
Example:
[
{
"id": "e309e948-088e-4d77-b654-cd85498f1555",
"createdAt": "2021-01-02T10:55:00Z",
"organizations": [
{
"id": "c0dc4e79-ec52-4811-8cf5-addb2527915c",
"owner": {
"id": "50af5191-05a3-42a5-802a-6b59091157af",
"name": "FinTech Solutions Inc."
},
"members": [
{
"id": "e309e948-088e-4d77-b654-cd85498f1555",
"name": "Fintech Payment Processing"
},
{
"id": "50af5191-05a3-42a5-802a-6b59091157af",
"name": "Fintech Lending Services"
}
]
}
],
"legalName": "Fintech Payment Processing",
"address": {
"line1": "7500 Bluewater Rd NW",
"town": "Albuquerque",
"state": "NY",
"postcode": "87121",
"country": "US"
},
"url": "https://example.com/",
"domain": "example.com",
"label": "Example customer",
"integrationIds": [
{
"service": "Xero",
"id": "2aaff66f-ef30-4599-b192-c168fd4cd226",
"lastSynced": "2024-03-28T16:47:00Z",
"isPending": false
},
{
"service": "Stripe",
"id": "cus_OCtCxqQDgu1uX9",
"lastSynced": "2024-03-28T16:47:00Z",
"isPending": false
}
],
"archivedAt": "2011-08-28T01:00:00Z",
"taxStatus": "TAXED",
"customProperties": { "region": "EU", "tier": "gold" }
}
]Results pagination
Example:
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}